Issue 66842

Summary: Saving User-defined Format codes in ods and sdc formats.
Product: Calc Reporter: rhubarbpie <rhubarbpie>
Component: formattingAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: OOo 2.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description rhubarbpie 2006-06-29 01:02:17 UTC
User-defined Format codes aren't saved in ods or sdc formats.  They are saved 
with xls format.

As an example, H:MMa/p displays time as 1:11a or 1:11p as long as the 
spreadsheet is open.  However, if the spreadsheet is saved, closed, and 
reopened the format is lost and the format reverts to HH:MM AM/PM.

Saving, closing, and reopening the file in xls format retains the H:MMa/p 
format.

The requested enhancement would save User-defined Format codes in ods and sdc 
formats.
Comment 1 frank 2006-07-26 15:35:19 UTC
Hi Eike,

as discussed one for you.

Frank
Comment 2 rhubarbpie 2006-07-26 17:40:36 UTC
I'm not quite certain how this works, but I'd be thrilled to contribute to 
testing of this enhancement.
Comment 3 ooo 2006-08-02 14:50:34 UTC
Accepting issue, though it's a rarely used time format. It isn't even
internationalized/localized, contrary to the AM/PM format. Lowering priority to
P4. Storing that in ODF would also need a file format change to add a new
number:time-style element, such as number:a-p
Comment 4 dmcp 2006-08-02 23:46:24 UTC
Hi Guys,
As I understand the issue it's not about another number format. The enhancement 
is to type in an arbitrary format code and have Calc "remember" the code and 
still treat the data as a number. In that case even something like HH:MM "in 
the morning"/"in the evening" would work.
(I've no idea if this is even practical)
Comment 5 rhubarbpie 2006-08-03 22:56:12 UTC
dmcp you're correct in your understanding of the issue.  I simply want the 
format code to be saved.

Your "in the morning"/"in the evening" example demonstrates the concept but 
doesn't work.  HH:MMa/p works flawlessly but won't save.  I have to reformat 
cells each time I open the spreadsheet.  It does save in xls format.
Comment 6 drhatch 2006-10-31 22:55:06 UTC
Here's another example that surprised me more.

Consider
Cell A1: Value: 1, Alignment: left-justified, cell format " " #
Cell A2: value: 1, Alignment: right-justified, cell format # " "
In both cases it is desired to space the number away from the cell edge.

Save and re-open in both .xls and .ods formats

Results: both formats are returned in .xls format; only the A2 format is
returned in .ods format.

Because these two formats are completely symmetrical, would this be considered a
bug?
Comment 7 ooo 2006-11-01 11:00:26 UTC
@drhatch: losing a leading space would be a separate issue.

Note that for spacing you may as well use Format.Cells.Borders "Spacing to
contents".
Comment 8 Marcus 2017-05-20 11:13:20 UTC
Reset assigne to the default "issues@openoffice.apache.org".